<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

// Name of Class as mentioned in $hook['post_controller]
class Debug extends CI_Hooks{
 
    function __construct() {
       // Anything except exit() :P
    }
 
    // Name of function same as mentioned in Hooks Config
    function debugMe() {
        $CI = & get_instance();
        $class = $CI->router->fetch_class();
        if(element('role', $CI->session->userdata('logged_in')) == 33 && false){

            echo "<pre>";
            print_r($CI->session->all_userdata());
            echo "</pre>";

            if (false && isset($CI->db->queries)) { //added by issa to avoid error
                $times = $CI->db->query_times;                   // Get execution time of all the queries executed by controller
                foreach ($CI->db->queries as $key => $query) {
                    $qr_string = strtolower($query); 
                    echo $qr_string."<<=>>".$times[$key]."<br />";
                }
            }
        }
    } 
}